package cz.utb.tadis.security;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class JwtConfig {

    @Value("${cz.utb.tadis.security.jwt.header}")
    private String header;

    @Value("${cz.utb.tadis.security.jwt.prefix}")
    private String prefix;

    @Value("${cz.utb.tadis.security.jwt.expirationMinutes}")
    private int expirationMinutes;

    @Value("${cz.utb.tadis.security.jwt.secret}")
    private String secret;

    public String getHeader() {
        return header;
    }

    public String getPrefix() {
        return prefix;
    }

    public int getExpirationMinutes() {
        return expirationMinutes;
    }

    public String getSecret() {
        return secret;
    }
}
